/*
 
 定数クラス
 
 
 変更履歴
 2005.02.19 新規作成		koji 
 
 機能
 
 */
/*
 * 作成日: 2005/02/19
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.xms.common;

import jp.co.ntt.lms.xmo.Environment;

/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class constant {
	
	/**
	 * リソース・ルートパス。<br>
	 * 画像ファイルやＣＳＳファイルのルートディレクトリのパス。
	 */
	public static final String RESOURCE_ROOT;
	
	/**
	 * スタティック・イニシャライザ<br>
	 */
	static {
		// 環境変数取得用
		Environment environment = null;
		
		// リソースルート一時取得用
		String resourceRoot = null;
		try {
			// 環境変数取得インスタンス生成
			environment  = new Environment();
			// リソースルートを取得
			resourceRoot = environment.getProperty("RESOURCE_ROOT");
		} catch (Exception e) {
			// 例外発生時はデフォルト値
			resourceRoot = "/xms2";
		} finally {
			// 定数変数に代入。
			RESOURCE_ROOT = resourceRoot;
		}
	}
}
